## org.eclipse.m2m.atl.engine.vm
Class ASMInstructionWithOperand

    java.lang.Object
      org.eclipse.m2m.atl.engine.vm.ASMInstruction
          org.eclipse.m2m.atl.engine.vm.ASMInstructionWithOperand

    public class ASMInstructionWithOperand

extends ASMInstruction

Field Summary

Fields inherited from class org.eclipse.m2m.atl.engine.vm.ASMInstruction
`mnemonic`

Constructor Summary
`ASMInstructionWithOperand(java.lang.String mnemonic, java.lang.String operand)`

Method Summary
`java.lang.String` `getOperand()`
`void` `setOperand(java.lang.String operand)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.ASMInstruction
`getMnemonic`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASMInstructionWithOperand

    public ASMInstructionWithOperand(java.lang.String mnemonic,
                                     java.lang.String operand)

Method Detail

### getOperand

    public java.lang.String getOperand()

### setOperand

    public void setOperand(java.lang.String operand)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ASMInstruction`

Copyright 2007 IBM Corporation and others. All Rights Reserved.